Name:		ufoai
Version:	2.5
Release:	%mkrel 12
License:	GPLv2+
Summary:	UFO: Alien Invasion
Group:		Games/Strategy
URL:		https://ufoai.org/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}-source.tar.bz2
Source1:	%{name}.desktop
Patch1:		ufoai-2.5-mga-dont-strip-binaries.patch
Patch2:		ufoai-2.5-added-mxml-3.0-compatility-to-XMLwrapper.patch
Requires:	%{name}-data = %{version}
Obsoletes:	%{name}-uforadiant


BuildRequires:	doxygen
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(gdkglext-x11-1.0)
BuildRequires:	pkgconfig(mxml)
# xvid is in tainted, but we can build without support, adding dlopen() support and
# a suggests on it could be done though..
#BuildRequires:	xvid-devel
BuildRequires:	pkgconfig(theoradec)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	zip
BuildRequires:	texlive

%description
UFO: ALIEN INVASION is a strategy game featuring tactical combat against
hostile alien forces which are about to infiltrate earth at this very
moment. You are in command of a small special unit which has been
founded to face the alien strike force. To be successful on the long
run, you will also have to have a research team study the aliens and
their technologies in order to learn as much as possible about their
technology, their goals and the aliens themselves. 'UFO: Alien Invasion'
is heavily inspired by the 'X-COM' series by Mythos and Microprose.


%prep
%autosetup -p1 -n %{name}-%{version}-source

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags} -std=c++98 -Wno-expansion-to-defined"

./configure	--prefix=%{_prefix} \
		--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}/ufoai \
		--localedir=%{_datadir}/locale \
		--enable-release \
%ifarch x86_64
		--enable-sse \
%endif
		--enable-cgame-campaign \
		--enable-cgame-multiplayer \
		--enable-cgame-skirmish \
		--enable-game \
		--enable-memory \
		--enable-testall \
		--enable-ufo2map \
		--enable-ufoded \
		--enable-ufo \
		--enable-ufomodel \
		--disable-uforadiant \
		--enable-ufoslicer
%make_build LDFLAGS="%ldflags" uforadiant_LINKER="g++ %ldflags"

%install
%make_install

# install man pages
mkdir -p %{buildroot}%{_mandir}/man6 	 
install -m 0644 debian/ufo.6 %{buildroot}%{_mandir}/man6/
install -m 0644 debian/ufoded.6 %{buildroot}%{_mandir}/man6/
install -m 0644 debian/ufo2map.6 %{buildroot}%{_mandir}/man6/
# Remove empty data files to avoid file conflict with data package
rm -f %{buildroot}%{_gamesdatadir}/%{name}/base/*pk3

# uforadiant is disabled
rm -f %{buildroot}%{_gamesbindir}/uforadiant

%find_lang ufoai
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -m644 src/ports/linux/ufo.png -D %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files -f ufoai.lang
%doc LICENSES
%{_gamesbindir}/ufo
%{_gamesbindir}/ufoded
%dir %{_gamesdatadir}/ufoai
%{_gamesdatadir}/ufoai/memory
%{_gamesdatadir}/ufoai/ufo*
%dir %{_gamesdatadir}/ufoai/base
%{_gamesdatadir}/ufoai/base/game.so
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/ufo.6*
%{_mandir}/man6/ufoded.6*
%{_mandir}/man6/ufo2map.6*


%changelog
* Tue Apr 29 2025 daviddavid <daviddavid> 2.5-12.mga10
+ Revision: 2179928
- rebuild for new libtheora 1.2.0

* Thu Dec 22 2022 daviddavid <daviddavid> 2.5-11.mga9
+ Revision: 1925729
- add missing build dependency on pkgconfig(vorbis)

* Fri Nov 11 2022 solbu <solbu> 2.5-10.mga9
+ Revision: 1905829
- Fix unpackaged files error
- Install manpages too
- Remove obsoleted BuildRequires
- Use https urls
- Disable uforadiant, needs obsoleted gtksourceview2.0

* Sat Feb 15 2020 umeabot <umeabot> 2.5-8.mga8
+ Revision: 1524829
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 daviddavid <daviddavid> 2.5-7.mga7
+ Revision: 1383379
- add patch to added compatibility with MXML 3.0

* Sun Sep 23 2018 umeabot <umeabot> 2.5-6.mga7
+ Revision: 1301501
- Mageia 7 Mass Rebuild

* Wed Oct 11 2017 daviddavid <daviddavid> 2.5-5.mga7
+ Revision: 1170844
- fix build with Tumbleweed (gcc >= 6 needs std=c++98 set)
- switched to SDL2 instead of SDL

* Thu Feb 04 2016 umeabot <umeabot> 2.5-4.mga6
+ Revision: 934221
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5-3.mga5
+ Revision: 748360
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5-2.mga5
+ Revision: 690021
- Mageia 5 Mass Rebuild

* Sat Jul 26 2014 solbu <solbu> 2.5-1.mga5
+ Revision: 656563
- Dropping non-working patches: P0, P2-P5 (P0, P2 merged upstream)
- Rediff P1
- New version
- Update URL

* Mon Jun 09 2014 diogenese <diogenese> 2.4-10.mga5
+ Revision: 635291
- Added needed -lm flag to ufo_LDFLAGS in build/modules/ufo.mk

* Tue Oct 22 2013 umeabot <umeabot> 2.4-9.mga4
+ Revision: 542272
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 wally <wally> 2.4-8.mga4
+ Revision: 497189
- add patch from upstream to fix build

* Tue Jun 04 2013 fwang <fwang> 2.4-7.mga4
+ Revision: 436948
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 2.4-6.mga3
+ Revision: 384989
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 tv <tv> 2.4-5.mga3
+ Revision: 298628
- rebuild for new pango

* Thu Sep 27 2012 tv <tv> 2.4-4.mga3
+ Revision: 298611
- rebuild for new pango

* Thu Sep 27 2012 fwang <fwang> 2.4-3.mga3
+ Revision: 298583
- specify linker command
- add more linker flags

* Thu Sep 27 2012 fwang <fwang> 2.4-2.mga3
+ Revision: 298577
- fix linkage
- use our system flags

* Sat Jun 30 2012 solbu <solbu> 2.4-1.mga3
+ Revision: 265323
- Add mxml-devel as buildrequire
- Fix Buildrequires
- Fix spec file
- Add patches from Mandriva
- New version
+ stblack <stblack>
- imported package ufoai


* Fri Sep 24 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3-1mdv2011.0
+ Revision: 580811
- disable xvid support as it requires plf package...
- import ufoai


* Thu Sep 23 2010 Per Øyvind Karlsen <peroyvind@mandria.org> 2.3-1
- use &%%{_gamesdatadir} & %%{_gamesbindir}
- make paths comply mostly with FHS (P0)
- package from Johnny A. Solbu <johnny@solbu.net>

* Tue Jul 5 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- Bugfix. the shellscripts (/usr/bin/{ufo,ufoded}) tried to launch the game from RPM_BUILD_ROOT.

* Thu Apr 2 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- Added menu entry.

* Tue Mar 31 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- More spec cleanup, after tip from Per Øyvind Karlsen.

* Tue Mar 30 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- Upgraded the package.
- spec cleanup.

* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@zarb.org> 0.10-4plf
- %%mkrel 
- spec cleanup

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.10-3plf
- fix macros 
- PLF reason

* Tue Sep 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.10-2plf
- moved to plf, as it is useless without its data

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-2mdk
- buildrequires

* Fri Feb 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-1mdk
- initial mdk release
